/*****************************************************************************
 *
 *   Copyright(C) 2013, Embedded Artists AB
 *   All rights reserved.
 *
 ******************************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * Embedded Artists AB assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. Embedded Artists AB
 * reserves the right to make changes in the software without
 * notification. Embedded Artists AB also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 *****************************************************************************/
#ifndef __GPS_H__
#define __GPS_H__

#include "lpc_types.h"

/**
 * Data structure for the GPS values
 */
typedef struct gpsData {
	uint8_t satellitesUsed[20];
	uint8_t utcTime[20];
	uint8_t altitude[20];
	uint8_t bufLatitude[20];
	uint8_t bufLongitude[20];
	int positionFixed;
	int northSouthIndicator;
	int eastWestIndicator;
	int latitude;
	int longitude;
} gpsData;

/*****************************************************************************
 ** Function name:               GPSResetData
 **
 ** Descriptions:                Clears the gathered data
 **
 ** parameters:                  None
 ** Returned value:              None
 **
 *****************************************************************************/
void GPSResetData(void);

/*****************************************************************************
 ** Function name:               GPSRetreiveData
 **
 ** Descriptions:                Reads and parses the next set of GPS data.
 **
 ** parameters:                  None
 ** Returned value:              The parsed information
 **
 *****************************************************************************/
const gpsData* GPSRetreiveData(void);


#endif  /* __GPS_H__ */
